# Generated by Django 2.2 on 2020-09-11 18:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('cmweb', '0013_auto_20200909_0649'),
    ]

    operations = [
        migrations.AlterField(
            model_name='stream',
            name='stream_status',
            field=models.CharField(choices=[('requested', 'Requested'), ('preparing', 'Preparing the streamer'), ('ready', 'Streamer Ready, Joining the room'), ('joined', 'Streaming started'), ('running', 'Steam running'), ('stopped', 'Streamer Stopped'), ('destroyed', 'Streamer destroyed')], default='requested', max_length=50),
        ),
        migrations.CreateModel(
            name='StreamQuestions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=80)),
                ('comment', models.TextField()),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('stream', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cmweb.Stream')),
            ],
        ),
    ]
